---
Tournament:
  name: Philadelphia Urban Invitational
  short name: Philly Urban Invitational
  location: Philadelphia High School for Girls
  state: PA
  level: Invitational
  division: B
  year: 2025
  medals: 4
  trophies: 4
  start date: 2025-02-08
  end date: 2025-02-08
  awards date: 2025-02-08
Events:
- name: Anatomy and Physiology
- name: Codebusters
- name: Crime Busters
- name: Disease Detectives
- name: Dynamic Planet
- name: Ecology
- name: Entomology
- name: Experimental Design
- name: Fossils
- name: Helicopter
- name: Metric Mastery
- name: Microbe Mission
- name: Optics
- name: Potions and Poisons
- name: Reach for the Stars
- name: Scrambler
- name: Tower
- name: Wind Power
- name: Write It Do It
Teams:
- number: 1
  school: Benjamin B. Comegys School
  state: PA
- number: 2
  school: Henry Houston Elementary
  state: PA
- number: 3
  school: John F. McCloskey School
  suffix: V1
  state: PA
- number: 4
  school: John F. McCloskey School
  suffix: V2
  state: PA
- number: 5
  school: Julia R. Masterman Laboratory and Demonstration School
  school abbreviation: JR Masterman School
  suffix: Blue
  state: PA
- number: 6
  school: Julia R. Masterman Laboratory and Demonstration School
  school abbreviation: JR Masterman School
  suffix: White
  state: PA
- number: 7
  school: Vare-Washington School
  state: PA
- number: 8
  school: Warren G. Harding Middle School
  state: PA
- number: 9
  school: William McKinley Elementary School
  state: PA
- number: 10
  school: William Meredith Middle School
  state: PA
- number: 11
  school: Saint Cecilia Grade School
  state: PA
Placings:
- team: 1
  event: Anatomy and Physiology
  place: 5
- team: 1
  event: Codebusters
  place: 7
- team: 1
  event: Crime Busters
  place: 5
- team: 1
  event: Disease Detectives
  participated: false
- team: 1
  event: Dynamic Planet
  participated: false
- team: 1
  event: Ecology
  participated: false
- team: 1
  event: Entomology
  participated: false
- team: 1
  event: Experimental Design
  participated: false
- team: 1
  event: Fossils
  participated: false
- team: 1
  event: Helicopter
  participated: false
- team: 1
  event: Metric Mastery
  participated: false
- team: 1
  event: Microbe Mission
  participated: false
- team: 1
  event: Optics
  participated: false
- team: 1
  event: Potions and Poisons
  participated: false
- team: 1
  event: Reach for the Stars
  participated: false
- team: 1
  event: Scrambler
  participated: false
- team: 1
  event: Tower
  participated: false
- team: 1
  event: Wind Power
  participated: false
- team: 1
  event: Write It Do It
  place: 6
- team: 2
  event: Anatomy and Physiology
  participated: false
- team: 2
  event: Codebusters
  participated: false
- team: 2
  event: Crime Busters
  place: 1
- team: 2
  event: Disease Detectives
  participated: false
- team: 2
  event: Dynamic Planet
  participated: false
- team: 2
  event: Ecology
  participated: false
- team: 2
  event: Entomology
  participated: false
- team: 2
  event: Experimental Design
  place: 6
- team: 2
  event: Fossils
  place: 6
- team: 2
  event: Helicopter
  participated: false
- team: 2
  event: Metric Mastery
  place: 5
- team: 2
  event: Microbe Mission
  participated: false
- team: 2
  event: Optics
  place: 4
- team: 2
  event: Potions and Poisons
  participated: false
- team: 2
  event: Reach for the Stars
  participated: false
- team: 2
  event: Scrambler
  participated: false
- team: 2
  event: Tower
  place: 6
- team: 2
  event: Wind Power
  participated: false
- team: 2
  event: Write It Do It
  place: 7
- team: 3
  event: Anatomy and Physiology
  participated: false
- team: 3
  event: Codebusters
  place: 6
- team: 3
  event: Crime Busters
  participated: false
- team: 3
  event: Disease Detectives
  participated: false
- team: 3
  event: Dynamic Planet
  participated: false
- team: 3
  event: Ecology
  participated: false
- team: 3
  event: Entomology
  place: 3
- team: 3
  event: Experimental Design
  place: 7
- team: 3
  event: Fossils
  participated: false
- team: 3
  event: Helicopter
  participated: false
- team: 3
  event: Metric Mastery
  participated: false
- team: 3
  event: Microbe Mission
  participated: false
- team: 3
  event: Optics
  participated: false
- team: 3
  event: Potions and Poisons
  participated: false
- team: 3
  event: Reach for the Stars
  participated: false
- team: 3
  event: Scrambler
  place: 4
- team: 3
  event: Tower
  place: 4
- team: 3
  event: Wind Power
  participated: false
- team: 3
  event: Write It Do It
  place: 8
- team: 4
  event: Anatomy and Physiology
  participated: false
- team: 4
  event: Codebusters
  place: 5
- team: 4
  event: Crime Busters
  place: 7
- team: 4
  event: Disease Detectives
  participated: false
- team: 4
  event: Dynamic Planet
  participated: false
- team: 4
  event: Ecology
  participated: false
- team: 4
  event: Entomology
  place: 6
- team: 4
  event: Experimental Design
  participated: false
- team: 4
  event: Fossils
  place: 5
- team: 4
  event: Helicopter
  participated: false
- team: 4
  event: Metric Mastery
  participated: false
- team: 4
  event: Microbe Mission
  participated: false
- team: 4
  event: Optics
  participated: false
- team: 4
  event: Potions and Poisons
  participated: false
- team: 4
  event: Reach for the Stars
  participated: false
- team: 4
  event: Scrambler
  place: 3
- team: 4
  event: Tower
  participated: false
- team: 4
  event: Wind Power
  participated: false
- team: 4
  event: Write It Do It
  place: 5
- team: 5
  event: Anatomy and Physiology
  place: 4
- team: 5
  event: Codebusters
  place: 4
- team: 5
  event: Crime Busters
  place: 4
- team: 5
  event: Disease Detectives
  place: 3
- team: 5
  event: Dynamic Planet
  place: 1
- team: 5
  event: Ecology
  place: 1
- team: 5
  event: Entomology
  place: 1
- team: 5
  event: Experimental Design
  place: 3
- team: 5
  event: Fossils
  place: 2
- team: 5
  event: Helicopter
  place: 1
- team: 5
  event: Metric Mastery
  place: 3
- team: 5
  event: Microbe Mission
  place: 4
- team: 5
  event: Optics
  place: 5
- team: 5
  event: Potions and Poisons
  place: 3
- team: 5
  event: Reach for the Stars
  place: 1
- team: 5
  event: Scrambler
  participated: false
- team: 5
  event: Tower
  place: 5
- team: 5
  event: Wind Power
  place: 2
- team: 5
  event: Write It Do It
  place: 4
- team: 6
  event: Anatomy and Physiology
  place: 3
- team: 6
  event: Codebusters
  participated: false
- team: 6
  event: Crime Busters
  participated: false
- team: 6
  event: Disease Detectives
  place: 6
- team: 6
  event: Dynamic Planet
  place: 4
- team: 6
  event: Ecology
  participated: false
- team: 6
  event: Entomology
  place: 4
- team: 6
  event: Experimental Design
  place: 4
- team: 6
  event: Fossils
  participated: false
- team: 6
  event: Helicopter
  participated: false
- team: 6
  event: Metric Mastery
  participated: false
- team: 6
  event: Microbe Mission
  place: 1
- team: 6
  event: Optics
  place: 2
- team: 6
  event: Potions and Poisons
  place: 4
- team: 6
  event: Reach for the Stars
  place: 3
- team: 6
  event: Scrambler
  participated: false
- team: 6
  event: Tower
  participated: false
- team: 6
  event: Wind Power
  participated: false
- team: 6
  event: Write It Do It
  place: 1
- team: 7
  event: Anatomy and Physiology
  place: 2
- team: 7
  event: Codebusters
  place: 1
- team: 7
  event: Crime Busters
  place: 3
- team: 7
  event: Disease Detectives
  place: 2
- team: 7
  event: Dynamic Planet
  place: 3
- team: 7
  event: Ecology
  place: 2
- team: 7
  event: Entomology
  place: 5
- team: 7
  event: Experimental Design
  place: 2
- team: 7
  event: Fossils
  place: 3
- team: 7
  event: Helicopter
  place: 3
- team: 7
  event: Metric Mastery
  place: 4
- team: 7
  event: Microbe Mission
  place: 3
- team: 7
  event: Optics
  place: 3
- team: 7
  event: Potions and Poisons
  place: 1
- team: 7
  event: Reach for the Stars
  place: 2
- team: 7
  event: Scrambler
  place: 2
- team: 7
  event: Tower
  place: 2
- team: 7
  event: Wind Power
  place: 3
- team: 7
  event: Write It Do It
  place: 10
- team: 8
  event: Anatomy and Physiology
  participated: false
- team: 8
  event: Codebusters
  participated: false
- team: 8
  event: Crime Busters
  participated: false
- team: 8
  event: Disease Detectives
  participated: false
- team: 8
  event: Dynamic Planet
  participated: false
- team: 8
  event: Ecology
  participated: false
- team: 8
  event: Entomology
  participated: false
- team: 8
  event: Experimental Design
  participated: false
- team: 8
  event: Fossils
  participated: false
- team: 8
  event: Helicopter
  participated: false
- team: 8
  event: Metric Mastery
  place: 6
- team: 8
  event: Microbe Mission
  participated: false
- team: 8
  event: Optics
  participated: false
- team: 8
  event: Potions and Poisons
  participated: false
- team: 8
  event: Reach for the Stars
  participated: false
- team: 8
  event: Scrambler
  participated: false
- team: 8
  event: Tower
  place: 1
- team: 8
  event: Wind Power
  participated: false
- team: 8
  event: Write It Do It
  place: 11
- team: 9
  event: Anatomy and Physiology
  participated: false
- team: 9
  event: Codebusters
  place: 3
- team: 9
  event: Crime Busters
  participated: false
- team: 9
  event: Disease Detectives
  place: 5
- team: 9
  event: Dynamic Planet
  participated: false
- team: 9
  event: Ecology
  participated: false
- team: 9
  event: Entomology
  participated: false
- team: 9
  event: Experimental Design
  participated: false
- team: 9
  event: Fossils
  participated: false
- team: 9
  event: Helicopter
  participated: false
- team: 9
  event: Metric Mastery
  place: 2
- team: 9
  event: Microbe Mission
  participated: false
- team: 9
  event: Optics
  participated: false
- team: 9
  event: Potions and Poisons
  participated: false
- team: 9
  event: Reach for the Stars
  participated: false
- team: 9
  event: Scrambler
  participated: false
- team: 9
  event: Tower
  participated: false
- team: 9
  event: Wind Power
  participated: false
- team: 9
  event: Write It Do It
  place: 9
- team: 10
  event: Anatomy and Physiology
  place: 1
- team: 10
  event: Codebusters
  place: 2
- team: 10
  event: Crime Busters
  place: 2
- team: 10
  event: Disease Detectives
  place: 1
- team: 10
  event: Dynamic Planet
  place: 2
- team: 10
  event: Ecology
  place: 3
- team: 10
  event: Entomology
  place: 2
- team: 10
  event: Experimental Design
  place: 1
- team: 10
  event: Fossils
  place: 1
- team: 10
  event: Helicopter
  place: 2
- team: 10
  event: Metric Mastery
  place: 1
- team: 10
  event: Microbe Mission
  place: 2
- team: 10
  event: Optics
  place: 1
- team: 10
  event: Potions and Poisons
  place: 2
- team: 10
  event: Reach for the Stars
  place: 4
- team: 10
  event: Scrambler
  place: 1
- team: 10
  event: Tower
  place: 3
- team: 10
  event: Wind Power
  place: 1
- team: 10
  event: Write It Do It
  place: 2
- team: 11
  event: Anatomy and Physiology
  participated: false
- team: 11
  event: Codebusters
  participated: false
- team: 11
  event: Crime Busters
  place: 6
- team: 11
  event: Disease Detectives
  place: 4
- team: 11
  event: Dynamic Planet
  participated: false
- team: 11
  event: Ecology
  place: 4
- team: 11
  event: Entomology
  participated: false
- team: 11
  event: Experimental Design
  place: 5
- team: 11
  event: Fossils
  place: 4
- team: 11
  event: Helicopter
  place: 4
- team: 11
  event: Metric Mastery
  participated: false
- team: 11
  event: Microbe Mission
  participated: false
- team: 11
  event: Optics
  participated: false
- team: 11
  event: Potions and Poisons
  participated: false
- team: 11
  event: Reach for the Stars
  place: 5
- team: 11
  event: Scrambler
  participated: false
- team: 11
  event: Tower
  participated: false
- team: 11
  event: Wind Power
  participated: false
- team: 11
  event: Write It Do It
  place: 3
